=== debian/changelog ===
scipy (1.12.0-2) unstable; urgency=medium

  * hppa: skip test_QRVS_shape_consistency[NumericalInversePolynomial]
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Jun 2024 18:05:55 +0200

scipy (1.12.0-1exp3) experimental; urgency=medium

  * skip tests with memory or other issues in 32-bit
    - powerpc: test_against_anderson_gumbel_r test_gh12218
    - armel: skip same stats tests as armhf
  * run build tests verbose (-v) on all 32-bit arches

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 10:17:16 +0200

scipy (1.12.0-1exp2) experimental; urgency=medium

  * on armhf, i386, hppa, powerpc, skip test_random_state
    test_against_anderson_gumbel_r test_bootstrap_against_R
    test_bootstrap_against_itself_1samp, etc
    to avoid memory failure and random crashes
  * use test verbose flag (-v) on armhf, powerpc
    to identify crashing tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 01:33:34 +0200

scipy (1.12.0-1exp1) experimental; urgency=medium

  * New upstream release
    - update versioned Build-Depends:
      cython3,
      python3-mesonpy (>= 0.15.0~),
      python3-doit (>= 0.36.0~),
      python3-numpy (>= 1:1.26.0~),
      python3-pythran (>= 0.15.0~)
    - Depends: python3-hypothesis for tests
  * remove redundant debian patch qhull-lfs.patch
    (would need to add to meson.build if still relevant)
  * link to all submodules in submodules/scipy/_lib
  * add Drew Parsons to uploaders

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 May 2024 14:41:42 +0200
