## scipy 1.13.1

=== debian/changelog ===
scipy (1.13.1-5ubuntu1) plucky; urgency=medium

  * Ignore test results for first build

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 15 Nov 2024 00:16:22 +0000

scipy (1.13.1-5build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:34 +0100

scipy (1.13.1-5) unstable; urgency=medium

  * skip more failing tests
    - mips64el: test_2x2_input test_nx2x2_input
      (from linalg test_matfuncs.py::TestExpM)
    - hppa: more test_QRVS_shape_consistency variants
    - x32: TestKSTwoSamples.test_gh12218 (gets MemoryError)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 10:24:03 +0200

scipy (1.13.1-4) unstable; urgency=medium

  * revert python3-scipy back to Multi-Arch: no.
    The arch is recorded inside some installed (plain text) files
    e.g. scipy-*.dist-info/WHEEL, scipy/__config__.py
    Closes: #1078977.
  * skip failing tests
    - alpha: test_read_over64bit_integer_sparse
    - hppa: test_svd_gesdd_nofegfault

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Aug 2024 01:07:47 +0200

scipy (1.13.1-3) unstable; urgency=medium

  * alpha: skip test_read_over64bit_integer_dense
  * hppa: skip next test_QRVS_shape_consistency (qrng2)
  * drop mipsel, ia64 test skips. Architectures no longer supported.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2024 18:19:53 +0200

scipy (1.13.1-2) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency test case
    (stats test_sampling.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2024 18:43:22 +0200

scipy (1.13.1-1exp15) experimental; urgency=medium

  * debian patch quadpack_C_PR21201.patch applies upstream PR#21201 to
    refactor quadpack in C instead of fortran. Closes: #1074318.

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jul 2024 15:31:31 +0200

scipy (1.13.1-1exp14) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_nan_inputs[airye] from special

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Jul 2024 00:22:38 +0200

scipy (1.13.1-1exp13) experimental; urgency=medium

  * riscv64 hppa sparc64: skip tests in signal test_cont2discrete.py
    and elsewhere:
    test_random_matrices_and_powers test_2x2_input test_nx2x2_input
    test_zoh test_foh test_transferfunction test_zerospolesgain
    test_discrete_approx test_simo_tf test_multioutput
    TestC2dLti TestC2dInvariants TestStep
    test_second_order test_integrator test_double_integrator
    test_jordan_block test_array_like test_operators test_expm

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Jul 2024 10:24:38 +0200

scipy (1.13.1-1exp12) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_multioutput (signal cont2discrete)

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Jul 2024 23:04:18 +0200

scipy (1.13.1-1exp11) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_simo_tf
    (signal test_cont2discrete.py)

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 00:07:28 +0200

scipy (1.13.1-1exp10) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_zerospolesgain test_discrete_approx
    (from signal test_cont2discrete.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jul 2024 18:42:09 +0200

scipy (1.13.1-1exp9) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_transferfunction

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Jul 2024 09:58:12 +0200

scipy (1.13.1-1exp8) experimental; urgency=medium

  * make docs with HOME=/tmp (cf. matplotlib doc build) to avoid error:
    '/sbuild-nonexistent' is not a writable location
  * riscv64 hppa sparc64: skip test_foh

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jul 2024 11:07:05 +0200

scipy (1.13.1-1exp7) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_zoh (signal test)
  * use intersphinx to link docs
    - update debian patch manage_docs.patch
    - drop debian patch 0018-Drop-intersphinx.patch
    - Build-Depends-Indep: python-matplotlib-doc, python-numpy-doc,
      python-statsmodels-doc <!nodoc>
  * build docs using JUPYTER_PLATFORM_DIRS=1
    (for jupyter_cache used by myst_nb)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Jun 2024 11:05:59 +0200

scipy (1.13.1-1exp6) experimental; urgency=medium

  * skip TestExp (linalg test_matfuncs.py) on riscv64 hppa sparc64

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Jun 2024 17:11:04 +0200

scipy (1.13.1-1exp5) experimental; urgency=medium

  * add mips64el to the verbose test list
  * skip failing tests
    - riscv64 hppa sparc64: test_nx2x2_input
      (from linalg test_matfuncs.py TestExpM)
    - powerpc: test_svd_gesdd_nofegfault (linalg test_decomp.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 10:40:56 +0200

scipy (1.13.1-1exp4) experimental; urgency=medium

  * skip test_random_matrices_and_powers and test_2x2_input
    on riscv64 hppa sparc64

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jun 2024 22:58:37 +0200

scipy (1.13.1-1exp3) experimental; urgency=medium

  * add mips64el to the TestLogM skip list
  * riscv64 and sparc64 time out. Run verbose tests to see where they
    got stuck.
  * hppa: skip test_random_matrices_and_powers

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Jun 2024 22:59:54 +0200

scipy (1.13.1-1exp2) experimental; urgency=medium

  * i386: skip test_svd_gesdd_nofegfault (MemoryError)
  * skip linalg test_matfuncs.py::TestLogM on failing arches,
    riscv64 hppa sparc64
  * debian patch test_singular_tol_PR20914.patch applies upstream
    PR#20914 to relax tolerance enabling linalg test_singular to pass
    against generic (netlib) BLAS.

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Jun 2024 22:28:40 +0200

scipy (1.13.1-1exp1) experimental; urgency=medium

  * New upstream release
    - Build-Depends: python3-pybind11 (>= 2.12.0~)
    - debian/copyright: drop pocketfft_hdronly.h
  * drop deprecated debian patch docs_privacy.patch

