=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: scipy
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
@@ -21,7 +22,7 @@
                python3-decorator,
                python3-numpy (>= 1:1.26.0~),
                python3-pooch,
-               python3-pybind11 (>= 2.10.4~),
+               python3-pybind11 (>= 2.12.0~),
                python3-setuptools,
                python3-wheel,
                python3-pythran (>= 0.15.0~),
@@ -30,14 +31,18 @@
                python3-hypothesis <!nocheck>
 Build-Depends-Indep: dvipng,
                      dh-sequence-sphinxdoc,
-                     python3-doc,
+                     python3-doc <!nodoc>,
                      python3-docutils,
                      python3-matplotlib,
-                     python3-numpydoc,
+                     python-matplotlib-doc <!nodoc>,
+                     python3-myst-nb <!nodoc>,
+                     python-numpy-doc <!nodoc>,
+                     python3-numpydoc <!nodoc>,
                      python3-pydata-sphinx-theme,
                      python3-sphinx,
                      python3-sphinx-design,
                      python3-sphinx-tabs,
+                     python-statsmodels-doc <!nodoc>,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
@@ -50,7 +55,7 @@
 
 Package: python3-scipy
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: no
 Depends: python3-decorator,
          python3-numpy (>= 1:1.26.0~),
          ${misc:Depends},
