## scipy 1.14.0

=== debian/changelog ===
scipy (1.14.0-1exp5) experimental; urgency=medium

  * mip64el: skip flakey TestExpmFrechet (linalg test_matfuncs.py)
  * hppa: skip more test_QRVS_shape_consistency

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Aug 2024 17:07:11 +0200

scipy (1.14.0-1exp4) experimental; urgency=medium

  * mips64el: skip failing variants of test_axis_nan_policy_axis_is_None
    (stats test_axis_nan_policy.py)
  * add hppa to the NEEDS_NUMPY2 list (skip test_cython)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Aug 2024 09:23:15 +0200

scipy (1.14.0-1exp3) experimental; urgency=medium

  * run dh_python3 with --no-ext-rename instead of manipulating
    libsf_error_state.so manually. mesonpy already instructs cython to
    build python extensions with arch labels, so don't need extension
    renaming from dh_python3. See Bug#1079496.
  * update test skips
    - mips64el: skip test_random_matrices_and_powers
    - x32: reenable TestKSTwoSamples.test_gh12218. The dot was not
      recognised (must be test_gh12218 alone), but the test is
      naturally skipped with scipy 1.14 anyway.
    - add alpha to the test_cython (Numpy 2) skip list

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2024 10:05:09 +0200

scipy (1.14.0-1exp2) experimental; urgency=medium

  * debian/rules: shift scipy/special/libsf_error_state.so to
    libsf_error_state while running dh_python3. It is a "normal"
    shared library not a python extension, but dh_python3 would rename
    it as if it were a python extension, causing runtime failure
    finding the library. dh_python3 -X does not exclude that (see
    Bug#1079496). Closes: #1078540.
  * mips64el powerpc ppc64: skip test_cython (special test_extending)
    Needs complex type changes from numpy 2 to pass.
    See https://github.com/scipy/scipy/issues/21393
  * skip more failing tests
    - mips64el: test_2x2_input (linalg test_matfuncs.py::TestExpM)
    - hppa: more test_QRVS_shape_consistency variants
    - x32: TestKSTwoSamples.test_gh12218 (gets MemoryError)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 02:16:41 +0200

scipy (1.14.0-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch test_singular_tol_PR20914.patch
    - special/cephes moved to special/special/cephes
  * debian patch fix_scipydoc_directive_PR20976.patch applies upstream
    PR#20976 to fix doc build (needs StringList not ViewList)
  * update debian patch manage_docs.patch
    (theme-switcher is not available)

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2024 00:42:15 +0200
