=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scipy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
