=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,11 @@
 # https://github.com/scipy/scipy/issues/17839#issuecomment-1400636840
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
     SKIP_TEST_LIST += test_first_step test_classes test_integrality test_integrator test_double_integrator
-    SKIP_TEST_LIST += test_nanminmax TestLogM test_2x2_input test_nx2x2_input
+    SKIP_TEST_LIST += test_nanminmax TestLogM TestExpmFrechet
+    SKIP_TEST_LIST += test_2x2_input test_nx2x2_input test_random_matrices_and_powers
+    SKIP_TEST_LIST += test_axis_nan_policy_axis_is_None[all_nans-propagate-ttest_ci
+    SKIP_TEST_LIST += test_axis_nan_policy_axis_is_None[mixed-propagate-iqr
+    SKIP_TEST_LIST += test_axis_nan_policy_axis_is_None[mixed-propagate-ttest_ci
 endif
 
 # https://github.com/scipy/scipy/issues/17839#issuecomment-1401780853
@@ -113,6 +117,15 @@
     SKIP_TEST_LIST += test_nan_inputs[airye]
 endif
 
+# some archs fail test_cython (special test_extending) with numpy 1.26
+# but will pass with numpy 2 due to complex type changes
+# see https://github.com/scipy/scipy/issues/21393
+SKIP_NEEDS_NUMPY2_ARCH_LIST := mips64el alpha hppa powerpc ppc64
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(SKIP_NEEDS_NUMPY2_ARCH_LIST)$(space)))
+    SKIP_TEST_LIST += test_cython
+endif
+
+
 ifneq (,$(findstring $(DEB_HOST_ARCH), alpha))
     SKIP_TEST_LIST += test_read_over64bit_integer_dense test_read_over64bit_integer_sparse
 endif
@@ -127,6 +140,7 @@
     SKIP_TEST_LIST += test_QRVS_shape_consistency[None-d_out0-size_in4-size_out4-qrng1-NumericalInversePolynomial]
     SKIP_TEST_LIST += test_QRVS_shape_consistency[None-d_out0-size_in4-size_out4-qrng2-NumericalInversePolynomial]
     SKIP_TEST_LIST += test_QRVS_shape_consistency[3-d_out2-None-size_out0-None-NumericalInversePolynomial]
+    SKIP_TEST_LIST += test_QRVS_shape_consistency[1-d_out1-size_in4-size_out4-qrng2-NumericalInversePolynomial]
     SKIP_TEST_LIST += test_svd_gesdd_nofegfault
 endif
 
@@ -138,20 +152,3 @@
 
 # powerpc: failures in stats/tests/test_stats.py: overflow encountered in _hypergeom_*
 ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc))
-    SKIP_TEST_LIST += test_hypergeom_cdf test_hypergeom_sf test_nch_hypergeom test_precision test_precise
-    SKIP_TEST_LIST += test_less_greater test_maxiter_worsening[lgmres] test_distance_transform_cdt05
-    SKIP_TEST_LIST += test_roots_hermite_asy test_bootstrap_against_R bootstrap_against_itself test_against_f_oneway
-    SKIP_TEST_LIST += test_against_anderson_gumbel_r test_gh12218 test_svd_gesdd_nofegfault
-endif
-
-# https://github.com/scipy/scipy/issues/17839#issuecomment-1399478853
-ifneq (,$(findstring $(DEB_HOST_ARCH), ppc64))
-    SKIP_TEST_LIST += test_precond_dummy test_maxiter_worsening[lgmres] test_distance_transform_cdt05
-endif
-
-ifneq (,$(findstring $(DEB_HOST_ARCH), sparc64))
-    SKIP_TEST_LIST += test_distance_transform_cdt05 test_milp_timeout_16545
-endif
-
-ifneq (,$(findstring $(DEB_HOST_ARCH), x32))
-    SKIP_TEST_LIST += test_input_validation test_basic test_sign test_flexible_input \
